/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_MAY_GOTO_1_SKEL_H__
#define __VERIFIER_MAY_GOTO_1_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_may_goto_1 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *may_goto_simple;
		struct bpf_program *may_goto_batch_0;
		struct bpf_program *may_goto_batch_1;
		struct bpf_program *may_goto_batch_2;
	} progs;
	struct {
		struct bpf_link *may_goto_simple;
		struct bpf_link *may_goto_batch_0;
		struct bpf_link *may_goto_batch_1;
		struct bpf_link *may_goto_batch_2;
	} links;

#ifdef __cplusplus
	static inline struct verifier_may_goto_1 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_may_goto_1 *open_and_load();
	static inline int load(struct verifier_may_goto_1 *skel);
	static inline int attach(struct verifier_may_goto_1 *skel);
	static inline void detach(struct verifier_may_goto_1 *skel);
	static inline void destroy(struct verifier_may_goto_1 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_may_goto_1__destroy(struct verifier_may_goto_1 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_may_goto_1__create_skeleton(struct verifier_may_goto_1 *obj);

static inline struct verifier_may_goto_1 *
verifier_may_goto_1__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_may_goto_1 *obj;
	int err;

	obj = (struct verifier_may_goto_1 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_may_goto_1__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_may_goto_1__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_may_goto_1 *
verifier_may_goto_1__open(void)
{
	return verifier_may_goto_1__open_opts(NULL);
}

static inline int
verifier_may_goto_1__load(struct verifier_may_goto_1 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_may_goto_1 *
verifier_may_goto_1__open_and_load(void)
{
	struct verifier_may_goto_1 *obj;
	int err;

	obj = verifier_may_goto_1__open();
	if (!obj)
		return NULL;
	err = verifier_may_goto_1__load(obj);
	if (err) {
		verifier_may_goto_1__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_may_goto_1__attach(struct verifier_may_goto_1 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_may_goto_1__detach(struct verifier_may_goto_1 *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_may_goto_1__elf_bytes(size_t *sz);

static inline int
verifier_may_goto_1__create_skeleton(struct verifier_may_goto_1 *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_may_goto_1";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "may_goto_simple";
	s->progs[0].prog = &obj->progs.may_goto_simple;
	s->progs[0].link = &obj->links.may_goto_simple;

	s->progs[1].name = "may_goto_batch_0";
	s->progs[1].prog = &obj->progs.may_goto_batch_0;
	s->progs[1].link = &obj->links.may_goto_batch_0;

	s->progs[2].name = "may_goto_batch_1";
	s->progs[2].prog = &obj->progs.may_goto_batch_1;
	s->progs[2].link = &obj->links.may_goto_batch_1;

	s->progs[3].name = "may_goto_batch_2";
	s->progs[3].prog = &obj->progs.may_goto_batch_2;
	s->progs[3].link = &obj->links.may_goto_batch_2;

	s->data = verifier_may_goto_1__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_may_goto_1__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa8\x09\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\
\x77\x5f\x74\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\
\x72\x5f\x6d\x61\x79\x5f\x67\x6f\x74\x6f\x5f\x31\x2e\x63\0\x6d\x61\x79\x5f\x67\
\x6f\x74\x6f\x5f\x73\x69\x6d\x70\x6c\x65\0\x6d\x61\x79\x5f\x67\x6f\x74\x6f\x5f\
\x62\x61\x74\x63\x68\x5f\x30\0\x6d\x61\x79\x5f\x67\x6f\x74\x6f\x5f\x62\x61\x74\
\x63\x68\x5f\x31\0\x6d\x61\x79\x5f\x67\x6f\x74\x6f\x5f\x62\x61\x74\x63\x68\x5f\
\x32\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x36\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x46\0\0\
\0\x12\0\x03\0\x20\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x57\0\0\0\x12\0\x03\0\x50\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x68\0\0\0\x12\0\x03\0\x90\0\0\0\0\0\0\0\x28\0\0\
\0\0\0\0\0\x79\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xe5\0\0\0\0\
\0\0\0\xb7\0\0\0\x01\0\0\0\xe5\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xe5\0\0\0\0\0\0\
\0\xe5\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\xe5\0\0\0\0\0\0\0\xe5\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xe5\0\x02\0\0\0\0\0\xe5\0\x01\0\0\0\0\0\xe5\0\0\0\0\0\0\0\
\xb7\0\0\0\x01\0\0\0\xe5\0\x02\0\0\0\0\0\xe5\0\x01\0\0\0\0\0\xe5\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xe5\0\x02\0\0\0\0\0\xe5\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\
\xb7\0\0\0\x02\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\
\0\0\0\0\0\0\0\x3c\x02\0\0\x3c\x02\0\0\x69\x04\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\
\x01\0\0\0\x01\0\0\x0c\x01\0\0\0\x11\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\
\x35\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x4e\0\0\0\0\0\0\x11\x02\0\0\0\
\xff\xff\xff\xff\x75\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x9a\0\0\0\0\0\0\
\x11\x02\0\0\0\xff\xff\xff\xff\xb6\0\0\0\x01\0\0\x0c\x01\0\0\0\xc7\0\0\0\0\0\0\
\x11\x08\0\0\0\xff\xff\xff\xff\x35\0\0\0\0\0\0\x11\x08\0\0\0\xff\xff\xff\xff\
\xf6\0\0\0\0\0\0\x11\x08\0\0\0\xff\xff\xff\xff\x1d\x01\0\0\0\0\0\x11\x08\0\0\0\
\xff\xff\xff\xff\x9a\0\0\0\0\0\0\x11\x08\0\0\0\xff\xff\xff\xff\x42\x01\0\0\x01\
\0\0\x0c\x01\0\0\0\x53\x01\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\x35\0\0\0\0\
\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\x8e\x01\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\
\xff\xb5\x01\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\x9a\0\0\0\0\0\0\x11\x0e\0\
\0\0\xff\xff\xff\xff\xda\x01\0\0\x01\0\0\x0c\x01\0\0\0\xeb\x01\0\0\0\0\0\x11\
\x14\0\0\0\xff\xff\xff\xff\x35\0\0\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\xff\x24\
\x02\0\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\xff\x5f\x02\0\0\0\0\0\x11\x14\0\0\0\
\xff\xff\xff\xff\x96\x02\0\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\xff\xce\x02\0\0\0\
\0\0\x11\x14\0\0\0\xff\xff\xff\xff\xf7\x02\0\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\
\xff\x2f\x03\0\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\xff\x57\x03\0\0\0\0\0\x11\x14\
\0\0\0\xff\xff\xff\xff\x7f\x03\0\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\xff\x9a\0\0\
\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\xff\xa5\x03\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x20\0\0\0\x22\0\0\0\x04\0\0\0\xaa\x03\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\xbe\x03\0\0\0\0\0\x0e\x21\0\0\0\x01\0\0\0\x5a\x04\0\0\
\x01\0\0\x0f\x04\0\0\0\x23\0\0\0\0\0\0\0\x04\0\0\0\0\x6d\x61\x79\x5f\x67\x6f\
\x74\x6f\x5f\x73\x69\x6d\x70\x6c\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x79\x5f\
\x67\x6f\x74\x6f\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x61\x72\x63\x68\x3d\x58\x38\x36\x5f\x36\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\
\x30\x3d\x30\x3a\x20\x72\x30\x20\x3d\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\
\x31\x3d\x31\x3a\x20\x65\x78\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x6d\x61\
\x79\x5f\x67\x6f\x74\x6f\x5f\x62\x61\x74\x63\x68\x5f\x30\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x62\x61\x74\x63\x68\x20\x32\x20\x6f\x66\x20\x6d\x61\x79\x5f\x67\x6f\x74\
\x6f\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x32\x3d\x30\x3a\x20\x72\x30\x20\
\x3d\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x33\x3d\x31\x3a\x20\x65\x78\x69\
\x74\0\x6d\x61\x79\x5f\x67\x6f\x74\x6f\x5f\x62\x61\x74\x63\x68\x5f\x31\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x6d\x61\x79\x5f\x67\x6f\x74\x6f\x20\x62\x61\x74\x63\x68\
\x20\x77\x69\x74\x68\x20\x6f\x66\x66\x73\x65\x74\x73\x20\x32\x2f\x31\x2f\x30\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x78\x6c\x61\x74\x65\x64\x3d\x34\x3d\x30\x3a\x20\x72\x30\x20\x3d\x20\x31\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x78\x6c\x61\x74\x65\x64\x3d\x35\x3d\x31\x3a\x20\x65\x78\x69\x74\0\x6d\x61\
\x79\x5f\x67\x6f\x74\x6f\x5f\x62\x61\x74\x63\x68\x5f\x32\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x6d\x61\x79\x5f\x67\x6f\x74\x6f\x20\x62\x61\x74\x63\x68\x20\x77\x69\x74\
\x68\x20\x6f\x66\x66\x73\x65\x74\x73\x20\x32\x2f\x30\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\
\x64\x3d\x36\x3d\x30\x3a\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\
\x20\x2d\x38\x29\x20\x3d\x20\x38\x33\x38\x38\x36\x30\x38\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\
\x65\x64\x3d\x37\x3d\x31\x3a\x20\x72\x31\x31\x20\x3d\x20\x2a\x28\x75\x36\x34\
\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x38\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\
\x38\x3d\x32\x3a\x20\x69\x66\x20\x72\x31\x31\x20\x3d\x3d\x20\x30\x78\x30\x20\
\x67\x6f\x74\x6f\x20\x70\x63\x2b\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x39\x3d\
\x33\x3a\x20\x72\x31\x31\x20\x2d\x3d\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\
\x31\x30\x3d\x34\x3a\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\
\x2d\x38\x29\x20\x3d\x20\x72\x31\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x31\x31\
\x3d\x35\x3a\x20\x72\x30\x20\x3d\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x31\
\x32\x3d\x36\x3a\x20\x72\x30\x20\x3d\x20\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\
\x31\x33\x3d\x37\x3a\x20\x65\x78\x69\x74\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\
\x30\x2d\x31\x30\x35\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x31\x30\x35\x2e\x65\x6c\x31\x30\x2e\x61\x61\x72\x63\x68\
\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\
\x65\x72\x69\x66\x69\x65\x72\x5f\x6d\x61\x79\x5f\x67\x6f\x74\x6f\x5f\x31\x2e\
\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x72\x61\x77\x5f\x74\x70\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\
\0\0\0\0\x2c\0\0\0\x2c\0\0\0\x4c\0\0\0\x78\0\0\0\0\0\0\0\x08\0\0\0\x62\x04\0\0\
\x04\0\0\0\0\0\0\0\x02\0\0\0\x20\0\0\0\x08\0\0\0\x50\0\0\0\x0e\0\0\0\x90\0\0\0\
\x14\0\0\0\x10\0\0\0\x62\x04\0\0\x04\0\0\0\0\0\0\0\xc7\x03\0\0\x4a\x04\0\0\x02\
\x44\0\0\x20\0\0\0\xc7\x03\0\0\x4a\x04\0\0\x02\x8c\0\0\x50\0\0\0\xc7\x03\0\0\
\x4a\x04\0\0\x02\xdc\0\0\x90\0\0\0\xc7\x03\0\0\x4a\x04\0\0\x02\x54\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xd0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\
\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x01\0\
\0\0\0\0\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x02\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x82\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x02\0\0\0\0\0\0\xbd\x06\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x87\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x10\x09\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_may_goto_1 *verifier_may_goto_1::open(const struct bpf_object_open_opts *opts) { return verifier_may_goto_1__open_opts(opts); }
struct verifier_may_goto_1 *verifier_may_goto_1::open_and_load() { return verifier_may_goto_1__open_and_load(); }
int verifier_may_goto_1::load(struct verifier_may_goto_1 *skel) { return verifier_may_goto_1__load(skel); }
int verifier_may_goto_1::attach(struct verifier_may_goto_1 *skel) { return verifier_may_goto_1__attach(skel); }
void verifier_may_goto_1::detach(struct verifier_may_goto_1 *skel) { verifier_may_goto_1__detach(skel); }
void verifier_may_goto_1::destroy(struct verifier_may_goto_1 *skel) { verifier_may_goto_1__destroy(skel); }
const void *verifier_may_goto_1::elf_bytes(size_t *sz) { return verifier_may_goto_1__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_may_goto_1__assert(struct verifier_may_goto_1 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_MAY_GOTO_1_SKEL_H__ */
