/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_MAY_GOTO_2_SKEL_H__
#define __VERIFIER_MAY_GOTO_2_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_may_goto_2 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *may_goto_c_code;
	} progs;
	struct {
		struct bpf_link *may_goto_c_code;
	} links;
	struct verifier_may_goto_2__bss {
		int gvar;
	} *bss;

#ifdef __cplusplus
	static inline struct verifier_may_goto_2 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_may_goto_2 *open_and_load();
	static inline int load(struct verifier_may_goto_2 *skel);
	static inline int attach(struct verifier_may_goto_2 *skel);
	static inline void detach(struct verifier_may_goto_2 *skel);
	static inline void destroy(struct verifier_may_goto_2 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_may_goto_2__destroy(struct verifier_may_goto_2 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_may_goto_2__create_skeleton(struct verifier_may_goto_2 *obj);

static inline struct verifier_may_goto_2 *
verifier_may_goto_2__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_may_goto_2 *obj;
	int err;

	obj = (struct verifier_may_goto_2 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_may_goto_2__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_may_goto_2__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_may_goto_2 *
verifier_may_goto_2__open(void)
{
	return verifier_may_goto_2__open_opts(NULL);
}

static inline int
verifier_may_goto_2__load(struct verifier_may_goto_2 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_may_goto_2 *
verifier_may_goto_2__open_and_load(void)
{
	struct verifier_may_goto_2 *obj;
	int err;

	obj = verifier_may_goto_2__open();
	if (!obj)
		return NULL;
	err = verifier_may_goto_2__load(obj);
	if (err) {
		verifier_may_goto_2__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_may_goto_2__attach(struct verifier_may_goto_2 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_may_goto_2__detach(struct verifier_may_goto_2 *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_may_goto_2__elf_bytes(size_t *sz);

static inline int
verifier_may_goto_2__create_skeleton(struct verifier_may_goto_2 *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_may_goto_2";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "verifier.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "may_goto_c_code";
	s->progs[0].prog = &obj->progs.may_goto_c_code;
	s->progs[0].link = &obj->links.may_goto_c_code;

	s->data = verifier_may_goto_2__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_may_goto_2__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa0\x06\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\
\x77\x5f\x74\x70\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\
\x69\x66\x69\x65\x72\x5f\x6d\x61\x79\x5f\x67\x6f\x74\x6f\x5f\x32\x2e\x63\0\x4c\
\x42\x42\x30\x5f\x33\0\x4c\x42\x42\x30\x5f\x37\0\x4c\x42\x42\x30\x5f\x31\x31\0\
\x6d\x61\x79\x5f\x67\x6f\x74\x6f\x5f\x63\x5f\x63\x6f\x64\x65\0\x67\x76\x61\x72\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3b\0\0\0\0\0\x03\0\x10\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\0\0\x03\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x49\0\0\0\0\0\x03\0\x08\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\0\x12\0\
\x03\0\0\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\x61\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\x66\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xe5\0\x01\0\0\0\0\0\xe5\0\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\
\xb4\x03\0\0\0\0\0\0\xe5\0\x0b\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x43\0\0\0\0\0\0\xe5\0\x07\0\0\0\0\0\x61\x42\0\0\0\0\0\0\x04\x02\0\0\xff\
\xff\xff\xff\xe5\0\x04\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\
\0\0\0\0\0\x04\x01\0\0\xfe\xff\xff\xff\xe5\0\x0f\0\0\0\0\0\x18\x04\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x61\x45\0\0\0\0\0\0\x0c\x35\0\0\0\0\0\0\x63\x54\0\0\0\0\0\0\
\xe5\0\x09\0\0\0\0\0\x61\x43\0\0\0\0\0\0\x0c\x23\0\0\0\0\0\0\x63\x34\0\0\0\0\0\
\0\xe5\0\x05\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x23\0\0\0\0\0\0\
\x0c\x13\0\0\0\0\0\0\x63\x32\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x47\x50\x4c\0\0\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x68\0\0\0\0\0\0\0\
\x01\0\0\0\x07\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\xe0\0\0\0\0\0\0\0\
\x01\0\0\0\x07\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xd0\0\0\0\xd0\0\0\0\x76\
\x01\0\0\0\0\0\0\0\0\0\x0d\x02\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\x05\0\0\0\x01\0\0\x0c\x01\0\0\0\x15\0\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\
\x45\0\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\x61\0\0\0\0\0\0\x0e\x02\0\0\0\
\x01\0\0\0\x66\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x07\0\0\0\x09\0\0\0\x04\0\0\0\x6b\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x7f\0\0\
\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\x62\x01\0\0\x01\0\0\x0f\x04\0\0\0\x06\0\0\0\0\
\0\0\0\x04\0\0\0\x67\x01\0\0\x01\0\0\x0f\x04\0\0\0\x0a\0\0\0\0\0\0\0\x04\0\0\0\
\0\x69\x6e\x74\0\x6d\x61\x79\x5f\x67\x6f\x74\x6f\x5f\x63\x5f\x63\x6f\x64\x65\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x43\x20\x63\x6f\x64\x65\x20\x77\x69\x74\x68\x20\x6d\
\x61\x79\x5f\x67\x6f\x74\x6f\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x67\x76\
\x61\x72\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x31\x30\x35\x2e\x65\
\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x31\x30\
\x35\x2e\x65\x6c\x31\x30\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\
\x5f\x6d\x61\x79\x5f\x67\x6f\x74\x6f\x5f\x32\x2e\x63\0\x09\x66\x6f\x72\x20\x28\
\x69\x20\x3d\x20\x30\x3b\x20\x69\x20\x3c\x20\x33\x20\x26\x26\x20\x63\x61\x6e\
\x5f\x6c\x6f\x6f\x70\x3b\x20\x69\x2b\x2b\x29\0\x09\x09\x74\x6d\x70\x5b\x69\x5d\
\x20\x3d\x20\x67\x76\x61\x72\x20\x2d\x20\x69\x3b\0\x09\x09\x67\x76\x61\x72\x20\
\x2b\x3d\x20\x74\x6d\x70\x5b\x69\x5d\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\
\x3b\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x72\x61\x77\x5f\x74\x70\
\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x0c\x01\0\0\x20\x01\
\0\0\0\0\0\0\x08\0\0\0\x6f\x01\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\x10\0\0\0\x6f\
\x01\0\0\x10\0\0\0\0\0\0\0\x88\0\0\0\x0b\x01\0\0\x17\x40\0\0\x28\0\0\0\x88\0\0\
\0\x0b\x01\0\0\x17\x4c\0\0\x30\0\0\0\x88\0\0\0\x30\x01\0\0\x0c\x50\0\0\x48\0\0\
\0\x88\0\0\0\x0b\x01\0\0\x17\x4c\0\0\x50\0\0\0\x88\0\0\0\x30\x01\0\0\x0c\x50\0\
\0\x58\0\0\0\x88\0\0\0\x30\x01\0\0\x11\x50\0\0\x60\0\0\0\x88\0\0\0\x0b\x01\0\0\
\x17\x4c\0\0\x68\0\0\0\x88\0\0\0\x30\x01\0\0\x0c\x50\0\0\x80\0\0\0\x88\0\0\0\
\x30\x01\0\0\x11\x50\0\0\x88\0\0\0\x88\0\0\0\x0b\x01\0\0\x17\x58\0\0\x90\0\0\0\
\x88\0\0\0\x45\x01\0\0\x08\x5c\0\0\xb8\0\0\0\x88\0\0\0\x0b\x01\0\0\x17\x58\0\0\
\xc0\0\0\0\x88\0\0\0\x45\x01\0\0\x08\x5c\0\0\xd8\0\0\0\x88\0\0\0\x0b\x01\0\0\
\x17\x58\0\0\xe0\0\0\0\x88\0\0\0\x45\x01\0\0\x08\x5c\0\0\x08\x01\0\0\x88\0\0\0\
\x57\x01\0\0\x02\x64\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x88\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb8\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x1d\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\
\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x6f\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x02\0\0\0\0\0\
\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x7a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\x5e\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7f\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x05\0\0\0\0\0\0\x40\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_may_goto_2 *verifier_may_goto_2::open(const struct bpf_object_open_opts *opts) { return verifier_may_goto_2__open_opts(opts); }
struct verifier_may_goto_2 *verifier_may_goto_2::open_and_load() { return verifier_may_goto_2__open_and_load(); }
int verifier_may_goto_2::load(struct verifier_may_goto_2 *skel) { return verifier_may_goto_2__load(skel); }
int verifier_may_goto_2::attach(struct verifier_may_goto_2 *skel) { return verifier_may_goto_2__attach(skel); }
void verifier_may_goto_2::detach(struct verifier_may_goto_2 *skel) { verifier_may_goto_2__detach(skel); }
void verifier_may_goto_2::destroy(struct verifier_may_goto_2 *skel) { verifier_may_goto_2__destroy(skel); }
const void *verifier_may_goto_2::elf_bytes(size_t *sz) { return verifier_may_goto_2__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_may_goto_2__assert(struct verifier_may_goto_2 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->gvar) == 4, "unexpected size of 'gvar'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_MAY_GOTO_2_SKEL_H__ */
